import stix2

EXPECTED = """{
    "created": "2016-05-12T08:17:27.000Z",
    "external_references": [
        {
            "external_id": "CVE-2016-1234",
            "source_name": "cve"
        }
    ],
    "id": "vulnerability--0c7b5b88-8ff7-4a4d-aa9d-feb398cd0061",
    "modified": "2016-05-12T08:17:27.000Z",
    "name": "CVE-2016-1234",
    "type": "vulnerability"
}"""


def test_vulnerability_example():
    vulnerability = stix2.Vulnerability(
        id="vulnerability--0c7b5b88-8ff7-4a4d-aa9d-feb398cd0061",
        created="2016-05-12T08:17:27.000Z",
        modified="2016-05-12T08:17:27.000Z",
        name="CVE-2016-1234",
        external_references=[
            stix2.ExternalReference(source_name='cve',
                                    external_id="CVE-2016-1234"),
        ],
    )

    assert str(vulnerability) == EXPECTED

# TODO: Add other examples
